OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> What Is Latest 6000 Rom? See My Error!
Howard Roark
post Apr 26 2005, 03:14 PM
Post #1





Group: Members
Posts: 63
Joined: 3-April 05
Member No.: 6,778



Everytime I reboot my 6L, I see the following:


init: 2.78 booting
init: run level 5

kernal module mismatch

kbdsim.o compiled for 2.4.6 while this module is 2.4.18

ohmy.gif

Okay? How do I fix this?

Any help appreciated. sad.gif
Go to the top of the page
 
+Quote Post
adf
post Apr 26 2005, 08:27 PM
Post #2





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



I'd reflash. Maybe someone else has a better idea?
Go to the top of the page
 
+Quote Post
Muffle
post May 1 2005, 02:48 PM
Post #3





Group: Members
Posts: 2
Joined: 1-May 05
Member No.: 7,039



Hmmm...

Well I have my own boot up error. I think I've managed to mess up some of the file system on my 6000L. Here is what I get when I try and start up...

init: version 2.78 booting
init: cannot execute "/etc/rc.d/rc.sysinit"
init: entering run level 5
init: connot execute ""/etc/rc.d/rc"
error: usr/sharp/etc/launch.conf -- can not open file
error: launch.conf -- can not open file
/sbin/launch : launch.conf not found.....

from there it goes into an endless loop.

I do have a back-up, and the Flash update rom still works, but I really got in a little over my head. I think if I can get a script that could run off the updater shell I could copy the needed files back in place and then do a full restore from the backup. I just don't know enough to write the files I would need to do that. Can anyone give me a hand with this?
Go to the top of the page
 
+Quote Post
Howard Roark
post May 1 2005, 05:40 PM
Post #4





Group: Members
Posts: 63
Joined: 3-April 05
Member No.: 6,778



Found my error. Its the keyboard sim in the vnc package. The keyboard sim works but it generates that error when you reboot. The 6000 vnc was written for pre-release roms, thats why its a kernal mismatch I think.
Go to the top of the page
 
+Quote Post
Teletubbie
post May 2 2005, 10:34 AM
Post #5





Group: Members
Posts: 252
Joined: 25-April 04
Member No.: 3,006



Hi,
the 2.4.6 Kernel was used in the first Sharproms (2.38 eg) for the SL-5500. This model was very popular and so there is a lot of software around for these old roms. Your vnc seems to be from that time. Try to get a vnc for your rom or at least for the latest 5500 rom (3.1x) that also used the Kernel 2.4.18
Cheers,
Sam
Go to the top of the page
 
+Quote Post
guylhem
post May 8 2005, 05:11 AM
Post #6





Group: Members
Posts: 577
Joined: 17-March 04
Member No.: 2,365



I did compile one for 2.4.18 for my rom. (rename to .o)

Would you suggest some VNC viewer? I'd like to integrate one but I don't know them very much. The faster, the better
Attached File(s)
Attached File  kbdsim.jpg ( 2.25K ) Number of downloads: 49
 
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 28th November 2014 - 12:40 AM